NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Features.ShipDesign.AnchorPointList Member List

This is the complete list of members for NXOpen.Features.ShipDesign.AnchorPointList, including all inherited members.

Append(NXOpen.Features.ShipDesign.AnchorPoint[] objects)NXOpen.Features.ShipDesign.AnchorPointListinline
Append(NXOpen.Features.ShipDesign.AnchorPoint @object)NXOpen.Features.ShipDesign.AnchorPointListinline
AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
Clear()NXOpen.Features.ShipDesign.AnchorPointListinline
Clear(NXOpen.ObjectList.DeleteOption deleteOption)NXOpen.Features.ShipDesign.AnchorPointListinline
ClearIndex(int deleteIdx)NXOpen.Features.ShipDesign.AnchorPointListinline
Erase(int index)NXOpen.Features.ShipDesign.AnchorPointListinline
Erase(int index, NXOpen.ObjectList.DeleteOption deleteOption)NXOpen.Features.ShipDesign.AnchorPointListinline
Erase(NXOpen.Features.ShipDesign.AnchorPoint obj)NXOpen.Features.ShipDesign.AnchorPointListinline
Erase(NXOpen.Features.ShipDesign.AnchorPoint obj, NXOpen.ObjectList.DeleteOption deleteOption)NXOpen.Features.ShipDesign.AnchorPointListinline
FindIndex(NXOpen.Features.ShipDesign.AnchorPoint obj)NXOpen.Features.ShipDesign.AnchorPointListinline
FindItem(int index)NXOpen.Features.ShipDesign.AnchorPointListinline
GetContents()NXOpen.Features.ShipDesign.AnchorPointListinline
Insert(int location, NXOpen.Features.ShipDesign.AnchorPoint @object)NXOpen.Features.ShipDesign.AnchorPointListinline
LengthNXOpen.Features.ShipDesign.AnchorPointList
MoveToBottom(int index)NXOpen.Features.ShipDesign.AnchorPointListinline
MoveToTop(int index)NXOpen.Features.ShipDesign.AnchorPointListinline
NextSinkNXOpen.Utilities.NXRemotableObject
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
SetContents(NXOpen.Features.ShipDesign.AnchorPoint[] objects)NXOpen.Features.ShipDesign.AnchorPointListinline
Swap(int index1, int index2)NXOpen.Features.ShipDesign.AnchorPointListinline
Swap(NXOpen.Features.ShipDesign.AnchorPoint object1, NXOpen.Features.ShipDesign.AnchorPoint object2)NXOpen.Features.ShipDesign.AnchorPointListinline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.